push_front.hpp File Reference
`#include <msgpack/preprocessor/arithmetic/inc.hpp>`
`#include <msgpack/preprocessor/array/data.hpp>`
`#include <msgpack/preprocessor/array/size.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/punctuation/comma_if.hpp>`
`#include <msgpack/preprocessor/tuple/rem.hpp>`
`#include <msgpack/preprocessor/array/detail/get_data.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_PUSH_FRONT(array, elem) MSGPACK_PP_ARRAY_PUSH_FRONT_D(array, elem)
#define | MSGPACK_PP_ARRAY_PUSH_FRONT_D(array, elem) MSGPACK_PP_ARRAY_PUSH_FRONT_I(MSGPACK_PP_ARRAY_SIZE(array), MSGPACK_PP_ARRAY_DATA(array), elem)
#define | MSGPACK_PP_ARRAY_PUSH_FRONT_I(size, data, elem) (MSGPACK_PP_INC(size), (elem MSGPACK_PP_COMMA_IF(size) MSGPACK_PP_ARRAY_DETAIL_GET_DATA(size,data)))

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_PUSH_FRONT

#define MSGPACK_PP_ARRAY_PUSH_FRONT | ( |  | array,
|  |  | elem
| ) |  | MSGPACK_PP_ARRAY_PUSH_FRONT_D(array, elem)

## MSGPACK_PP_ARRAY_PUSH_FRONT_D

#define MSGPACK_PP_ARRAY_PUSH_FRONT_D | ( |  | array,
|  |  | elem
| ) |  | MSGPACK_PP_ARRAY_PUSH_FRONT_I(MSGPACK_PP_ARRAY_SIZE(array), MSGPACK_PP_ARRAY_DATA(array), elem)

## MSGPACK_PP_ARRAY_PUSH_FRONT_I

#define MSGPACK_PP_ARRAY_PUSH_FRONT_I | ( |  | size,
|  |  | data,
|  |  | elem
| ) |  | (MSGPACK_PP_INC(size), (elem MSGPACK_PP_COMMA_IF(size) MSGPACK_PP_ARRAY_DETAIL_GET_DATA(size,data)))